FreeMat

- Main Page
- Related Pages

vtkXMLStructuredGridReader

Section: Visualization Toolkit IO Classes

# Usage

vtkXMLStructuredGridReader reads the VTK XML StructuredGrid file format. One structured grid file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vts". This reader is also used to read a single piece of the parallel file format.

To create an instance of class vtkXMLStructuredGridReader, simply invoke its constructor as follows

      obj = vtkXMLStructuredGridReader

# Methods

The class vtkXMLStructuredGridReader has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkXMLStructuredGridReader class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkXMLStructuredGridReader = obj.NewInstance ()`
- `vtkXMLStructuredGridReader = obj.SafeDownCast (vtkObject o)`
- `vtkStructuredGrid = obj.GetOutput ()` - Get the reader's output.
- `vtkStructuredGrid = obj.GetOutput (int idx)` - Get the reader's output.